/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer.dao
 *  ファイル：ColorDAO.java
 *  説明：
 *
 *  作成日: 2004/01/15
 */
package openolap.viewer.dao;

import java.sql.Connection;
import java.sql.SQLException;

import openolap.viewer.Report;
import openolap.viewer.common.CommonSettings;
import openolap.viewer.controller.RequestHelper;

/**
 *  インターフェース：ColorDAO
 *  説明：
 */
public interface ColorDAO {

	public void registColor(RequestHelper helper, CommonSettings commonSettings);
	public void saveColor(Report report, Connection conn) throws SQLException;
	public void applyColor(Report report, Connection conn) throws SQLException;
	public void deleteColor(Report report, Connection conn) throws SQLException;


}
